Package com.microblink.blinkid.entities.recognizers.blinkid.generic

# Class VehicleClassInfo

java.lang.Object
com.microblink.blinkid.entities.recognizers.blinkid.generic.VehicleClassInfo

All Implemented Interfaces:
  `android.os.Parcelable`

public final class VehicleClassInfo extends Object implements android.os.Parcelable
The additional information on vehicle class.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<VehicleClassInfo>`
  `CREATOR`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VehicleClassInfo`
  `createFromNative(DateResult effectiveDate, DateResult expiryDate, StringResult vehicleClass, StringResult licenceType)`
  This method is called from native code to build `VehicleClassInfo` from native object.
  `int`
  `describeContents()`
  `DateResult`
  `getEffectiveDate()`
  The date since licence is effective.
  `DateResult`
  `getExpiryDate()`
  The date of expiry of licence.
  `StringResult`
  `getLicenceType()`
  The type of driver licence.
  `StringResult`
  `getVehicleClass()`
  The type of vehicle the driver license owner has privilege to drive.
  `boolean`
  `isEmpty()`
  Checks whether data is empty.
  `String`
  `toString()`
  `void`
  `writeToParcel(android.os.Parcel dest, int flags)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CREATOR

    public static final android.os.Parcelable.Creator<VehicleClassInfo> CREATOR

- ## Method Details

  - ### getEffectiveDate

    @Nullable public DateResult getEffectiveDate()
    The date since licence is effective.

  - ### getExpiryDate

    @Nullable public DateResult getExpiryDate()
    The date of expiry of licence.

  - ### getVehicleClass

    @Nullable public StringResult getVehicleClass()
    The type of vehicle the driver license owner has privilege to drive.

  - ### getLicenceType

    @Nullable public StringResult getLicenceType()
    The type of driver licence.

  - ### isEmpty

    public boolean isEmpty()
    Checks whether data is empty. Data is empty if all fields are empty.
    Returns:
      `true` if data is empty, false otherwise.

  - ### toString

    @NonNull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### createFromNative

    public static VehicleClassInfo createFromNative(@Nullable DateResult effectiveDate, @Nullable DateResult expiryDate, @Nullable StringResult vehicleClass, @Nullable StringResult licenceType)
    This method is called from native code to build `VehicleClassInfo` from native object.

  - ### describeContents

    public int describeContents()
    Specified by:
      `describeContents` in interface `android.os.Parcelable`

  - ### writeToParcel

    public void writeToParcel(@NonNull android.os.Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `android.os.Parcelable`